## org.apache.batik.apps.svgbrowser
Class DOMDocumentTree.TransferData

    java.lang.Object
      org.apache.batik.apps.svgbrowser.DOMDocumentTree.TransferData

Enclosing class:
  DOMDocumentTree

    public static class DOMDocumentTree.TransferData

extends java.lang.Object

The data being transfered on dnd.

Field Summary
`protected java.util.ArrayList` `nodeList` The nodes to transfer.

Constructor Summary
`DOMDocumentTree.TransferData(java.util.ArrayList nodeList)` Creates the TransferData.

Method Summary
`java.util.ArrayList` `getNodeList()` Gets the nodeList.
`java.lang.String` `getNodesAsXML()` Gets the concatenated string representation of the nodes in the node list.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nodeList

    protected java.util.ArrayList nodeList

  The nodes to transfer.

Constructor Detail

### DOMDocumentTree.TransferData

    public DOMDocumentTree.TransferData(java.util.ArrayList nodeList)

  Creates the TransferData.

  Parameters:
    `nodeList` - the nodeList

Method Detail

### getNodeList

    public java.util.ArrayList getNodeList()

  Gets the nodeList.

  Returns:
    the nodeList

### getNodesAsXML

    public java.lang.String getNodesAsXML()

  Gets the concatenated string representation of the nodes in the node list. (To support string data flavor)

Copyright © 2008 Apache Software Foundation. All Rights Reserved.